unit ListadoMovimientosAlmacen;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RDXFRAME, StdCtrls, RdxComboBox, RdxCampos,
  ExtCtrls, Tipos, Grids, DBGrids, 
  RdxTitulos, RdxBotones, RdxPaneles, RdxBarras;

type
  TfrListadoMovimientosAlmacen = class(TRdxFrame)
    brGuardar: TRdxBarraInferior;
    bGuardar: TRdxBoton;
    bCancelarGuardar: TRdxBoton;
    RdxScrollPanel1: TRdxScrollPanel;
    pnlAlmacen: TRdxPanel;
    RdxCabecera3: TRdxCabecera;
    cbxAlmacen: TRdxComboBox;
    eAlmacen: TLabel;
    pnlCondiciones: TRdxPanel;
    cCondiciones: TRdxCabecera;
    Label4: TLabel;
    RdxComboBox1: TRdxComboBox;
    Label3: TLabel;
    RdxComboBox2: TRdxComboBox;
    Label9: TLabel;
    RdxComboBox3: TRdxComboBox;
    cbxFamilia: TRdxDBComboBox;
    eFamilia: TLabel;
    Codigo: TRdxDBEdit;
    bBuscarCodigo: TRdxBoton;
    eCodigo: TLabel;
    eHastaArticulo: TLabel;
    RdxDBEdit1: TRdxDBEdit;
    pnlMovimientos: TRdxPanel;
    RdxCabecera1: TRdxCabecera;
    pnlGridMovimientos: TRdxPanel;
    procedure bCancelarGuardarClick(Sender: TObject);
  private
    { Private declarations }
  public
    Constructor Create (AOwner : TComponent); override;
  end;

var
  frListadoMovimientosAlmacen: TfrListadoMovimientosAlmacen;

implementation

{$R *.DFM}

constructor TfrListadoMovimientosAlmacen.Create(AOwner : TComponent);
begin
  inherited Create(AOwner);
  Entidad := entMovimiento;
end;

procedure TfrListadoMovimientosAlmacen.bCancelarGuardarClick(
  Sender: TObject);
begin
  inherited;
  CloseFrame;
end;

end.
